#include "IMFHeader.h"
#include "Exception.h"
#include "Log.h"
#include <unistd.h>

namespace coreutils {

   IMFHeader::IMFHeader(int fd) {
      char ch;
      int rc = ::read(fd, &ch, 1);
      while(ch != '\r') {
	 IMFHeaderField *headerField = new IMFHeaderField(ch, fd);
	 headers.push_back(headerField);
      }
      rc = ::read(fd, &ch, 1);
   }

}